Accountsv2
Get account (unified) - V2
Handler: GetAccountByIDV2. Returns UnifiedAccountResponse. Deactivated accounts treated as not found unless caller permissions allow inactive visibility.
curl -X GET "https://example.com/v2/accounts/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"active": true,
"customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e",
"currency": "string",
"balance": {
"amount": "123456",
"currency": "EUR",
"precision": 2
},
"is_crypto": true,
"status": "active",
"created_at": "2019-08-24T14:15:22Z",
"modified_at": "2019-08-24T14:15:22Z",
"description": "string",
"metadata": {},
"iban": "string",
"check_digits": "string",
"bban": "string",
"bank": "string",
"bic": "string",
"country_id": "b42f7153-60f9-4aff-a5b5-21576be4161e",
"ledger_id": "baa10cc3-8899-4531-a9c5-63cd06cd8d2c",
"can_be_converted_to_crypto": true,
"currency_id": "305e0674-ee79-42b7-bf83-278294a47a7b",
"project_id": 0,
"crp_account_id": 0,
"can_be_converted_to_fiat": true,
"main_wallet_address": "string",
"main_wallet_address_tag": "string",
"last_balance_sync": "2019-08-24T14:15:22Z",
"crp_accounts": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"network_id": "d6797cf4-42b9-4cad-8591-9dd91c3f0fc3",
"network_name": "string",
"network_code": "string",
"asset_id": "b4695157-0d1d-4da0-8f9e-5c53149389e4",
"crp_account_id": 0,
"main_wallet_address": "string",
"main_wallet_address_tag": "string",
"balance": 0,
"can_be_converted_to_fiat": true,
"last_balance_sync": "2019-08-24T14:15:22Z",
"active": true,
"created_at": "2019-08-24T14:15:22Z"
}
],
"subledger": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"code": "string",
"balance_posted": {
"amount": "123456",
"currency": "EUR",
"precision": 2
},
"balance_pending": {
"amount": "123456",
"currency": "EUR",
"precision": 2
},
"balance_available": {
"amount": "123456",
"currency": "EUR",
"precision": 2
}
}
}Empty